ru.bitel.bgbilling.modules.inet.accounting.recalculate.event

## Class InetRecalculateBaseEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.accounting.recalculate.event.InetRecalculateBaseEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InetRecalculateCurrentDayEvent, InetRecalculateCurrentMonthBeforeDayEvent, InetRecalculateDayInCurrentMonthEvent

      public class InetRecalculateBaseEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetRecalculateBaseEvent()`
    `` | `InetRecalculateBaseEvent(int moduleId, java.util.Date month, java.lang.Integer day, int applicationId, int idDivisor, int idRemainder, java.util.Set<java.lang.Integer> cids, int requestIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getApplicationId()`
    `java.util.Set<java.lang.Integer>` | `getCids()`
    `java.lang.Integer` | `getDay()`
    `int` | `getIdDivisor()`
    `int` | `getIdRemainder()`
    `java.util.Date` | `getMonth()`
    `int` | `getRequestIndex()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `void` | `setDay(java.lang.Integer day)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetRecalculateBaseEvent

          protected InetRecalculateBaseEvent()

    - #### InetRecalculateBaseEvent

          public InetRecalculateBaseEvent(int moduleId,
                                          java.util.Date month,
                                          java.lang.Integer day,
                                          int applicationId,
                                          int idDivisor,
                                          int idRemainder,
                                          java.util.Set<java.lang.Integer> cids,
                                          int requestIndex)

  - ### Method Detail

    - #### getMonth

          public java.util.Date getMonth()

    - #### getIdDivisor

          public int getIdDivisor()

    - #### getIdRemainder

          public int getIdRemainder()

    - #### getApplicationId

          public int getApplicationId()

    - #### getCids

          public java.util.Set<java.lang.Integer> getCids()

    - #### getDay

          public java.lang.Integer getDay()

    - #### setDay

          public void setDay(java.lang.Integer day)

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getRequestIndex

          public int getRequestIndex()